# Uses of Class
org.apache.avro.idl.IdlParser.NamespaceDeclarationContext

## Uses of IdlParser.NamespaceDeclarationContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.NamespaceDeclarationContext
Modifier and Type
Field
Description
`IdlParser.NamespaceDeclarationContext`
IdlParser.IdlFileContext.`namespace`
Methods in org.apache.avro.idl that return IdlParser.NamespaceDeclarationContext
Modifier and Type
Method
Description
`IdlParser.NamespaceDeclarationContext`
IdlParser.IdlFileContext.`namespaceDeclaration()`
`final IdlParser.NamespaceDeclarationContext`
IdlParser.`namespaceDeclaration()`
Methods in org.apache.avro.idl with parameters of type IdlParser.NamespaceDeclarationContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterNamespaceDeclaration(IdlParser.NamespaceDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.namespaceDeclaration()`.
`void`
IdlListener.`enterNamespaceDeclaration(IdlParser.NamespaceDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.namespaceDeclaration()`.
`void`
IdlBaseListener.`exitNamespaceDeclaration(IdlParser.NamespaceDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.namespaceDeclaration()`.
`void`
IdlListener.`exitNamespaceDeclaration(IdlParser.NamespaceDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.namespaceDeclaration()`.